Subject: Re: [PATCH 5/8] percpu: add __percpu sparse annotations to x86

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 31 Jan 2010 19:30:45 -0800

On 01/25/2010 06:17 PM, Tejun Heo wrote:
> On 01/26/2010 10:06 AM, H. Peter Anvin wrote:
>> On 01/25/2010 07:22 AM, Tejun Heo wrote:
>>>
>>> In arch/x86/kernel/cpu/common.c, per_cpu(exception_stacks, cpu) is
>>> replaced with &per_cpu(exception_stacks[0], cpu) which is equivalent
>>> except that it allows per_cpu() macro to correctly drop percpu
>>> designation during sparse pass.
>>>
>>
>> Same comment as Frederic's about this... this kind of uglification
>> really is unacceptable and needs to be addressed.
> 
> Hmm... I don't think it's too bad but if you don't like it that much,
> probably the right thing to do is just leave it there and let sparse
> whine about it.  There are only three in-kernel instances at this
> point, so it's not that big a deal.
> 

That would probably be my preference until it can be fixed in a better
way.  If we paper it over now, it will be forgotten -- and then someone
will come along and cargo cult it for no good reason.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.